# Copyright (c) 2023 Benjamin Mummery

import os
from contextlib import contextmanager

import pytest


@pytest.fixture(scope="session")
def cwd():
    @contextmanager
    def cwd(path):
        oldcwd = os.getcwd()
        os.chdir(path)
        try:
            yield
        finally:
            os.chdir(oldcwd)

    return cwd
